| Fling Engine 0.00.1 Fling Engine is a game engine written in Vulkan

Public Member Functions | Private Attributes
Fling::FrameBufferAttachment Struct Reference

`#include <FrameBuffer.h>`

## Public Member Functions
| FrameBufferAttachment (AttachmentCreateInfo t_Info, const VkDevice &t_Dev)
| ~FrameBufferAttachment ()
void | Release ()
bool | HasDepth ()
| Returns true if the attachment has a depth component. More...
bool | HasStencil ()
| Returns true if the attachment has a stencil component. More...
bool | IsDepthStencil ()
| Returns true if the attachment is a depth and/or stencil attachment. More...
VkImage | GetImageHandle () const
VkImageView | GetViewHandle () const
VkFormat | GetFormat () const
VkDeviceMemory | GetMemoryHandle () const
VkSampleCountFlagBits | GetSampleCount () const
VkImageSubresourceRange | GetSubresourceRange () const
VkAttachmentDescription | GetDescription () const

## Private Attributes
VkImage | m_Image = VK_NULL_HANDLE
VkDeviceMemory | m_Memory = VK_NULL_HANDLE
VkImageView | m_ImageView = VK_NULL_HANDLE
VkFormat | m_Format = {}
VkSampleCountFlagBits | m_Samples { VK_SAMPLE_COUNT_1_BIT }
VkImageUsageFlags | m_Usage { VK_IMAGE_USAGE_SAMPLED_BIT }
VkImageSubresourceRange | m_SubresourceRange = {}
VkAttachmentDescription | m_Description = {}
const VkDevice & | m_Device

## Constructor & Destructor Documentation

## ◆ FrameBufferAttachment()

Fling::FrameBufferAttachment::FrameBufferAttachment | ( | AttachmentCreateInfo | t_Info,
|  | const VkDevice & | t_Dev
| ) |  |

## ◆ ~FrameBufferAttachment()

Fling::FrameBufferAttachment::~FrameBufferAttachment | ( |  | ) |

## Member Function Documentation

## ◆ GetDescription()

VkAttachmentDescription Fling::FrameBufferAttachment::GetDescription | ( |  | ) | const
| inline

## ◆ GetFormat()

VkFormat Fling::FrameBufferAttachment::GetFormat | ( |  | ) | const
| inline

## ◆ GetImageHandle()

VkImage Fling::FrameBufferAttachment::GetImageHandle | ( |  | ) | const
| inline

## ◆ GetMemoryHandle()

VkDeviceMemory Fling::FrameBufferAttachment::GetMemoryHandle | ( |  | ) | const
| inline

## ◆ GetSampleCount()

VkSampleCountFlagBits Fling::FrameBufferAttachment::GetSampleCount | ( |  | ) | const
| inline

## ◆ GetSubresourceRange()

VkImageSubresourceRange Fling::FrameBufferAttachment::GetSubresourceRange | ( |  | ) | const
| inline

## ◆ GetViewHandle()

VkImageView Fling::FrameBufferAttachment::GetViewHandle | ( |  | ) | const
| inline

## ◆ HasDepth()

bool Fling::FrameBufferAttachment::HasDepth | ( |  | ) |

Returns true if the attachment has a depth component.

## ◆ HasStencil()

bool Fling::FrameBufferAttachment::HasStencil | ( |  | ) |

Returns true if the attachment has a stencil component.

## ◆ IsDepthStencil()

bool Fling::FrameBufferAttachment::IsDepthStencil | ( |  | ) |

Returns true if the attachment is a depth and/or stencil attachment.

## ◆ Release()

void Fling::FrameBufferAttachment::Release | ( |  | ) |

## Field Documentation

## ◆ m_Description

VkAttachmentDescription Fling::FrameBufferAttachment::m_Description = {}
| private

## ◆ m_Device

const VkDevice& Fling::FrameBufferAttachment::m_Device
| private

## ◆ m_Format

VkFormat Fling::FrameBufferAttachment::m_Format = {}
| private

## ◆ m_Image

VkImage Fling::FrameBufferAttachment::m_Image = VK_NULL_HANDLE
| private

## ◆ m_ImageView

VkImageView Fling::FrameBufferAttachment::m_ImageView = VK_NULL_HANDLE
| private

## ◆ m_Memory

VkDeviceMemory Fling::FrameBufferAttachment::m_Memory = VK_NULL_HANDLE
| private

## ◆ m_Samples

VkSampleCountFlagBits Fling::FrameBufferAttachment::m_Samples { VK_SAMPLE_COUNT_1_BIT }
| private

## ◆ m_SubresourceRange

VkImageSubresourceRange Fling::FrameBufferAttachment::m_SubresourceRange = {}
| private

## ◆ m_Usage

VkImageUsageFlags Fling::FrameBufferAttachment::m_Usage { VK_IMAGE_USAGE_SAMPLED_BIT }
| private

The documentation for this struct was generated from the following files:

- FlingEngine/Graphics/inc/FrameBuffer.h
- FlingEngine/Graphics/src/FrameBuffer.cpp